%define module_version 0.06
%define module_name Image-Hash
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurp.pm) perl(GD.pm) perl(Image/Magick.pm) perl(Imager.pm) perl(List/Util.pm) perl(Test/More.pm) perl(Test/Simple.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: An image hashing library to calculate an images average hash, perception hash and difference hash.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/R/RU/RUNARB/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Image::Hash allows you to calculate the average hash, difference hash and perception hash an image.

Depending on what is available on your system Image::Hash will use GD, Image::Magick or Imager to interact with your image.
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE Todo
%perl_vendor_privlib/I*

%changelog
* Wed Oct 14 2015 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- regenerated from template by package builder

* Mon Jan 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- regenerated from template by package builder

* Tue Dec 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

